Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging
Class Destination

    java.lang.Object
      com.sun.messaging.AdministeredObject
          com.sun.messaging.Destination

All Implemented Interfaces:
  Serializable, Destination

Direct Known Subclasses:
  BasicQueue, BasicTopic

    public abstract class Destination

extends AdministeredObject
implements Destination

A `Destination` encapsulates Sun MQ specific configuration information for Sun MQ `Destination` objects.

See Also:
  `javax.jms.Destination`, `com.sun.messaging.DestinationConfiguration`, Serialized Form

Field Summary

Fields inherited from class com.sun.messaging.AdministeredObject
`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

Constructor Summary
`Destination()` Constructs an "untitled" Destination.
`Destination(String name)` Constructs a Destination given the name

Method Summary
`String` | `getName()` Returns the name of this Destination.
`String` | `getQueueName()` Returns the queue name.
`String` | `getTopicName()` Returns the topic name.
`abstract boolean` | `isQueue()` Returns whether this is a Queueing type of Destination.
`abstract boolean` | `isTemporary()` Returns whether this is a Temporary type of Destination.
`void` | `setDefaultConfiguration()` Sets the minimum `Destination` configuration defaults required of a Sun MQ Destination identity object.
`String` | `toString()` Returns a pretty printed version of the provider specific information for this Destination identity object.
`Boolean` | `validate_imqDestinationName(String name)` Validates a `Destination` name.

Methods inherited from class com.sun.messaging.AdministeredObject
`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Destination

    public Destination()

  Constructs an "untitled" Destination.

### Destination

    public Destination(String name)
                throws InvalidDestinationException

  Constructs a Destination given the name

  Parameters:
    `name` - The name of the Destination
  Throws:
    `InvalidDestinationException`
  See Also:
    `If `name` is an invalid destination name`

Method Detail

### getName

    public String getName()

  Returns the name of this Destination.

  Returns:
    the Destination name

### getQueueName

    public String getQueueName()
                        throws JMSException

  Returns the queue name.

  Returns:
    the queue name
  Throws:
    `JMSException` - if a queue access error occurs.

### getTopicName

    public String getTopicName()
                        throws JMSException

  Returns the topic name.

  Returns:
    the topic name
  Throws:
    `JMSException` - if a topic access error occurs.

### toString

    public String toString()

  Returns a pretty printed version of the provider specific information for this Destination identity object.

  Overrides:
    `toString` in class `AdministeredObject`
  Returns:
    the pretty printed string.

### isQueue

    public abstract boolean isQueue()

  Returns whether this is a Queueing type of Destination.

  Returns:
    whether this is a Queueing type of Destination.

### isTemporary

    public abstract boolean isTemporary()

  Returns whether this is a Temporary type of Destination.

  Returns:
    whether this is a Temporary type of Destination.

### setDefaultConfiguration

    public void setDefaultConfiguration()

  Sets the minimum `Destination` configuration defaults required of a Sun MQ Destination identity object.

  Specified by:
    `setDefaultConfiguration` in class `AdministeredObject`

### validate_imqDestinationName

    public Boolean validate_imqDestinationName(String name)

  Validates a `Destination` name.

  Parameters:
    `name` - The `Destination` name.
  Returns:
    `true` if the name is valid; `false` if the name is invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.